﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
init python:
    import webbrowser

    credits = ('Project lead', 'Tony S.'), ('Story', 'Tony S.'), ('Translation Assistance', 'Julia\nRodger H.\nMax G.'), ('Sprites and Character Art', 'Skadi\nOdin'), ('Backgrounds', 'Odin'), ('Script', 'Tony S.\nMax G.'), ('Songs texts, used in game', 'Lindemann - Fish on!\nSam Smith - Writings on the wall'), ('Engine','RenPy\n6.99.14.3135'),('','Sincere thanks \n to all our Patreon backers!')
    credits_s = "{size=50}Credits\n\n“Thousand days later”\n powered by Nordic Scream Studio\n\n"
    c1 = ''
    for c in credits:
        if not c1==c[0]:
            credits_s += "\n{size=30}" + c[0] + "\n"
        credits_s += "{size=50}" + c[1] + "\n"
        c1=c[0]
    #credits_s += "\n{size=30}Engine\n{size=50}Ren'py\n6.99.14.3135" #Don't forget to set this to your Ren'py version

init:
    image cred = Text(credits_s, text_align=0.5)
    image theend = Text("{size=70}The end", text_align=0.5)
    image spec = Text("{size=50}Special thanks to BigB and Marble Syrup \n for their wise advices and their visual novel “Crusoe had it easy”,\n which inspired us to make our own game.", text_align=0.5)
    image patrons = Text("{size=50}Special thanks to our Patreon supporters.", text_align=0.5)
    image thanks = Text("{size=40}Thank You for playing “Thousand Days Later”! \n {size=20} If you enjoyed this game, please, consider supporting us on Patreon.", text_align=0.5)


# Declare characters used by this game.
define s = Character('Natalie', color="#FF3030")
define m = Character('Me', color="#CDC9C9")


# The game starts here.

label splashscreen:
    scene black with dissolve
    pause 0.5
    scene logo0 with Dissolve (2.0)
    pause 1.5
    scene black with dissolve
    pause 0.5
    scene logo1 with Dissolve (2.0)
    pause 1.5
    scene logo2 with dissolve
    pause 3
    scene black with dissolve
    pause 1
    return


label start:

    $ way_a = False
    $ way_b = False
    play music "ocean.mp3" fadeout 1
    scene bg seanight with Dissolve(2.0)
    m "Nat! I’m sorry! Oh my god! I’m sorry!"
    "She’s nowhere to be seen. I begin to cry as I realize what I’ve done."
    m "Oh my god! Oh my god, what have I done! I’m so sorry!"
    scene black with Dissolve(.5)
    "Whack. Suddenly I’m smashed in the back of my had with a stone. I fall to the ground and the light goes out."
    "After several seconds I open my eyes, however, I still can't move."
    scene bg skynight with dissolve
    #show nat 4_n_nk_crying with dissolve
    "I see Natalie standing above me, undressed and shivering. She says nothing, just points an arrow to my face. I can see tears run down her face."
    m "Na-… Natalie…"
    "I groan cause of pain."
    m "I’m… I’m sorry…"
    "…"
    s "Dad…"
    "She hulks."
    s "You dirty piece of shit."
    "Thong. Thud."
    scene black with Dissolve(.5)
    $ renpy.pause (2.0)
    scene bg shacknight with dissolve
    "I wake up in my shack, breathing hard."
    "Another nightmare. Another reminder of what I’ve done…"
    "Oh my god… I regret that I’m still alive. If only she’d killed me…"
    scene bg campnight with dissolve
    "I go out from the shack and look up to the sky. The dawn is close. New day is coming. Another day, full of regrets and fighting for my life."
    "Despite of nightmare, I feel well rested. Maybe, I should go for a walk and see Natalie."
    "Yes, I definitely should."
    "I take my bow, arrows and bag and head into the jungle."
    play music "forest.mp3" fadeout 1
    scene bg forestnight with dissolve
    $ renpy.pause (1.5)
    "The island is full of life. I can hear hundreds of different sounds around me. I know this part of the forest very well, so I can go through it even at night."
    "What has happened to me? Well…"
    "It’s a very sad story, happened almost three years ago…"
    "…"
    "My Daughter Natalie and I had been stranded alone on this island for more than a month after a plane crash… Firstly, everything was going OK, but then… I still see it in my nightmares."
    "I raped her… It’s all you need to know. Yes, I’m bloody bastard. No one can judge me more strictly, than I do…"
    "She killed me. Released an arrow directly into my face. Both of us thought that I died."
    "I came to life several hours later, when high tide started to move me into the ocean. It was early morning, and Natalie wasn’t around."
    "I could see an arrow, sticking out from my left eye. It was disgusting…"
    "I stood up and hobbled into the jungle as fast, as I could. When I was sure that Nat won’t find me, I removed an arrow out of my head. Pain was so hard, that I passed out."
    "I was hiding in the jungle for several days, eating randomly found fruits and trying to remember any medicinal herb. It’s a miracle, but I’ve survived."
    "One day I went out from jungle and saw a ship. And a small boat, which was moving to the ship. I saw Natalie on that boat. I tried to make a signal, but, several moments later, I changed my mind. I couldn’t go home with her…"
    "So, I am still here, living at the eastern part of the island for more than two years."
    "Besides losing my left eye, I’m fine. That weak-will nerdish guy, I used to be, died that horrible night, killed by Nat's arrow. Now I’m a completely different person."
    "This island… It’s several times bigger that I firstly thought. I have found everything I needed to survive – fresh water, food, materials… Couple of suitcases floated ashore after a strong gale, with good knife, some clothes and useful stuff inside."
    "I can’t say this island is a paradise, after what happened here, but… it is my home anyway."
    scene bg forestsunset with Dissolve(2.0)
    scene bg forestday with Dissolve(2.0)
    "New day comes suddenly, as it’s usual in tropics. Now I can see what happens around. A banana tree. I take couple bananas for breakfast. I like bananas."
    play music "ocean.mp3" fadeout 1
    scene bg statueday with dissolve
    $ renpy.pause (1.5)
    "I go out to a beach. It’s a small bay, fenced by jungle and rocks. Beautiful place at the southeastern part of the island. Nat is sitting on the rock, as always."
    m "Hello, Nat… It’s me again…"
    "She doesn’t answer. She never answers me."
    "I come closer, walk around her and look into her face. She looks to the ocean with beautiful sad smile on her lips."
    "Just a statue. Just a cold stone and clay. I've made it by myself. After all these monts of loneliness, I needed someone to talk to. So, I decided to make a beautiful statue of Natalie, to tell her…"
    menu:
        "I can’t forgive any of us.":
            jump choice1a
        "She was right trying to kill me. I response for all what happened.":
            jump choice1b
        "It all was a terrible mistake. Now I don’t really feel that any of us is guilty.":
            jump choice1c

label choice1a:
    "I've done a terrible thing. She did too. I don’t know, how can she live with my blood on her hands. But I know one thing. I will never forgive her. I will never forgive myself."
    "I fall on my knees. There is a wooden plank near the statue. Every day, using my knife, I cut the same words on it."
    "“I AM SORRY”"
    "Today it’s a thousandth writing."
    "I wonder, if she is sorry too…"
    $ way_a = True
    jump choice1done

label choice1b:
    "I can’t live through it… I’m so guilty… So guilty…"
    "I fall on my knees. There is a wooden plank near the statue. Every day, using my knife, I cut the same words on it."
    "“I AM SORRY”"
    "Today it’s a thousandth writing."
    "Oh my god… I feel so sorry, Nat."
    $ way_b = True
    jump choice1done

label choice1c:
    "Everything could be different. I was wrong, and she almost killed me. It’s easy to understand. In her place, I would do the same. However, I think, I had my redemption. Stranded here alone, with not a single soul to talk. Every day is a fight for my life…"
    "I forgave you, Nat. I forgave myself. And I hope you did the same."
    jump choice1done

label choice1done:
    "I sit near the statue during several minutes, filled with memories."
    "Why it all went this way? When have I made a fatal mistake?"
    "No answers… I’m sure, I’ll never get them."
    "However, I don’t have many time to relax and take compassion on myself. I have to survive. It’s not that easy."
    play music "forest.mp3" fadeout 1
    scene black with fade
    $ renpy.pause (1.5)
    scene bg forestday with dissolve
    $ renpy.pause (1.5)
    "I stand up and head into the forest. I know a good fishing place not so far away."
    "Two years and nine month alone on this island… So long…"
    "I have found everything I needed… Made a comfortable shack… an oven, where I can smoke meat and fish… a statue… an aqueduct from the spring in the heart of the island to my camp…"
    "I even managed to hollow out a bath in the rock near my shack."
    "I’m very busy every day, so I don’t have much time to recall bygone. Don’t have time to regret about it."
    play music "ocean.mp3" fadeout 1
    scene black with fade
    $ renpy.pause (1.5)
    scene bg seaday with dissolve
    $ renpy.pause (1.5)
    "Finally, a beach. I pull out my fishing spear, which I hid in the rocks, and take off my weapons and clothes."
    "It’s fishing time!"
    "Wait… What’s that?"
    scene bg sea with dissolve
    "A bright yellow life-raft drifted ashore. What a luck!"
    "I already have a beautiful raft made of bamboo, but this one also could be useful for me."
    "I swim to the life-raft and catch it. It seems that there is someone inside. I carefully chin and look inside."
    m "O my god… It… It cannot be…"
    scene Nat_raft with dissolve
    python:
        persistent.art1 = True
    "It's Natalie."
    "What... How... Is she alive?"
    "I carefully touch her neck. Yes, there is a pulse. She just lost consequence… or sleeping, I’m not sure."
    "I think she was in the open sea during two or three days. I bet she is dehydrated and hungry, so I have to act quickly, if I want to help her."
    scene bg seaday with dissolve
    "I pull the raft to the coast, and then go ashore and quickly put on all my stuff. I will leave Nat in our old shelter. It would be better for both of us."
    "I return to the raft and pull it, walking along the beach. Luckily, the old shelter is not so far. After half an hour, I’m on the right place."
    scene bg shelterday with dissolve
    "Western side of the island. I still remember it. Remember what had happened. I visit it couple of times in a month, and fix the shelter. I thought, I could spend here occasional night."
    "I pull the raft on the coast and then carefully move Natalie to the shelter. She doesn't react."
    m "You will be OK, Nat. I promise."
    "I go to the jungle and cut some fresh palm leafs for Nat’s bed. She is still sleeping, when I return. I make a bed and carefully lay Natalie on it."
    scene Nat_shelter with dissolve
    "Her T-shirt is completely ragged; it doesn’t cover her body at all. I can see her bikini. Her jeans shorts are in better condition, but it doesn’t cover even third part of her hips."
    "I stand several seconds, looking at her."
    "Situation is just the same as then… when I made that horrible thing…"
    "…"
    "I turn around. I’m not stupid. I've already got my lesson."
    scene bg shelterday with dissolve

    if (way_a):
        jump waya
    elif (way_b):
        jump wayb
    else:
        jump wayc
